script.on_event(defines.events.on_player_created, function(event)
	local player = game.players[event.player_index]
	local inventories = {
		defines.inventory.character_armor,
		defines.inventory.character_main,
		defines.inventory.character_quickbar,
		defines.inventory.character_guns,
		defines.inventory.character_ammo,
		defines.inventory.character_tools,
		defines.inventory.character_vehicle,
		defines.inventory.character_trash
	}

	-- Setup kit presets
	local kits = {}

	kits["default"] = {}
	kits["default"]["quickbar"] = {}
	kits["default"]["items"] = {
		{"iron-plate", 100},
		{"copper-plate", 100},
		{"iron-gear-wheel", 20},
		{"wood", 50},
		{"transport-belt", 50},
		{"splitter", 20},
		{"underground-belt", 20},
		{"burner-mining-drill", 20},
		{"stone-furnace", 10},
		{"coal", 50},
		{"py-construction-robot-01", settings.global["py-quick-start-robots"].value},
		{"power-armor", 1}
	}

	kits["default"]["armorItems"] = {
		{"fusion-reactor-equipment"},
		{"personal-roboport-equipment"},
		{"personal-roboport-equipment"},
		{"personal-roboport-equipment"},
		{"personal-roboport-equipment"},
		{"night-vision-equipment"},
		{"battery-equipment"},
		{"battery-equipment"},
		{"battery-equipment"}
	}

	local kitSetting = "default"
	local kit = kits[kitSetting]
	if kit == nil then
		kit = kits["default"]
	end

	-- Setup quickbar favorites
    for k,v in pairs(kit["quickbar"]) do
        player.set_quick_bar_slot(v[1], v[2])
    end

    -- Remove standard items
    local playerInventory = player.get_main_inventory()
    playerInventory.remove({name="iron-plate", count=8})
    playerInventory.remove({name="burner-mining-drill", count=1})
    playerInventory.remove({name="stone-furnace", count=1})
    playerInventory.remove({name="wood", count=1})

	-- Add items
	for k,v in pairs(kit["items"]) do
		player.insert{name = v[1], count = v[2]}
	end

	if kit["armorItems"] ~= nil then
		-- Find armor in one of the inventories
		-- Usually ends up in the armor slot. But that one does not exist in sandbox mode
		for k,v in pairs(inventories) do
			local inventory = player.get_inventory(v)
			if inventory ~= nil then
				log("---------jjjj")

				local armor = inventory.find_item_stack("power-armor")
				if armor ~= nil then
					-- Add items to armor grid
					local grid = armor.grid
					for k,v in pairs(kit["armorItems"]) do
						grid.put{name = v[1]}
					end
					break
				end
			end
		end
	end

	-- Unlock technologies
	if kit["technologies"] ~= nil then
		for k,v in pairs(kit["technologies"]) do
			player.force.technologies[v[1]].researched = true
		end
	end

end)